import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;
import java.awt.Font;
import java.util.Calendar;


/**
 * The ScoreBoard is used to display results on the screen. It can display some
 * text and several numbers.
 * 
 * @author M Kolling
 * @version 1.0
 */
public class Intro extends Actor
{
    public static final float FONT_SIZE = 25.0f;
    public static final int WIDTH = 500;
    public static final int HEIGHT = 300;

    /**
     * Create a score board with dummy result for testing.
     */
    public Intro()
    {
        this(100);
    }

    /**
     * Create a score board for the final result.
     */
    public Intro(int score)
    {
        makeImage("Intro", 
            "Arrow keys to move bird,",
            "Space Bar to Shoot.",  
            "Hit as many cars as possible,", 
            "and avoid getting hit ", 
            "by bullets from Hunters.",
            "Press S key to Begin");
    }

    /**
     * Make the score board image.
     */
    private void makeImage(String title, 
    String line1, String line2, String line3, 
    String line4, String line5, String line6)
    {
        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);
        int x=50;
        int y=50;
        int spacing=30;
        image.setColor(new Color(0, 255, 0, 255));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        image.setColor(new Color(100, 100, 100, 100));
        image.fillRect(5, 5, WIDTH-10, HEIGHT-10);
        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString(title, x, y);
        y = y+ (15*spacing)/10;
        image.drawString(line1, x, y);
        y = y+spacing;
        image.drawString(line2, x, y);
        y = y+spacing;
        image.drawString(line3, x, y);
        y = y+spacing;
        image.drawString(line4, x, y);
        y = y+spacing;
        image.drawString(line5, x, y);
        y = y+ (15*spacing)/10;
        image.drawString(line6, x, y);
        setImage(image);
    }
    public void act()
    {
        if(Greenfoot.isKeyDown("s"))
        {
           ((PooWorld) getWorld()).startGame();
           getWorld().removeObject(this);
        }
    }
}

